Subject: Re: [PATCH 1/2] fs_enet: fix checkpatch.pl problems

From: Scott Wood <[email-masked]>
Date: Wed, 18 Jun 2008 10:50:36 -0500

On Tue, Jun 17, 2008 at 05:03:13PM -0600, John Rigby wrote:
>  static int __devinit find_phy(struct device_node *np,
> -                              struct fs_platform_info *fpi)
> +			      struct fs_platform_info *fpi)

Please don't make this sort of change.  Spaces were used deliberately,
because it's alignment rather than indentation, and using tabs would make
things be unaligned with tab sizes other than 8, and (as can be seen above)
in patches.

Unfortunately, it's non-trivial to make checkpatch tell the difference
between the two (it would need to parse the language rather than do a simple
regex).

-Scott